# bash completion for xmms

have xmms &&
_xmms()
{
    local cur

    COMPREPLY=()
    _get_comp_words_by_ref cur

    if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '-h --help -r --rew -p --play \
            -u --pause -s --stop -t --play-pause -f --fwd -e \
            --enqueue -m --show-main-window -i --sm-client-id \
            -v --version' -- "$cur" ) )
    else
        _filedir '@(mp[23]|MP[23]|ogg|OGG|wav|WAV|pls|m3u|xm|mod|s[3t]m|it|mtm|ult|flac)'

    fi

} &&
complete -F _xmms -o filenames xmms

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
